Bug 806635 - Cannot join google account with gnome3
Cannot join google account with gnome3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 11:02 EDT by Patrick Talbert
Modified: 2013-08-01 00:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:46:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of denial (18.53 KB, image/png)
2012-03-26 22:07 EDT, Patrick Talbert
no flags Details

  None (edit)
Description Patrick Talbert 2012-03-25 11:02:53 EDT
Description of problem:

When I try to add a google account to the Online Accounts of gnome3, google tells me "Action not authorized."

Version-Release number of selected component (if applicable):
Net install of x86_64 F17 beta from 03/25/12.

patrick@crudora:~$ rpm -qa|grep -i gnome-online
gnome-online-accounts-3.3.92.1-1.fc17.x86_64
patrick@crudora:~$ rpm -qa|grep -i control-center
control-center-3.3.92-1.fc17.x86_64
control-center-filesystem-3.3.92-1.fc17.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. From gnome-control-center, select "Online Account"
2. Click the plus symbol to add an account
3. Set 'Account Type' to Google and click Add...
4. Log in with google credentials
5. Click "Grant Access"
6. Google returns "Action not authorized."
  
Actual results:

Google accounts cannot be added to gnome3

Expected results:

Google account added!

Additional info:

Maybe this is a google problem, and not a gnome problem? It seems 100% repeatable for me.
Comment 1 Debarshi Ray 2012-03-26 05:06:15 EDT
Seems to work for me. Is your system time correctly set? Also can you provide a screenshot of this "Action not authorized" page?
Comment 2 Patrick Talbert 2012-03-26 22:07:28 EDT
Created attachment 572905 [details]
Screenshot of denial

The time seems to be right, as far as I can tell.

As you can see, the gnome screen shot tool included the system time (just after 10pm, EST) in the filename.

It worked fine for me in F16, too.
Comment 3 Andrew Dunn 2012-03-28 12:59:14 EDT
I'm on F17 (Just Installed) and I'm getting the same thing.

I feel like an important thing to note is that I'm using two factor authentication with a pin challenge from an Android phone.
Comment 4 Debarshi Ray 2012-03-28 13:22:41 EDT
(In reply to comment #3)
> I feel like an important thing to note is that I'm using two factor
> authentication with a pin challenge from an Android phone.

That is the catch.

GNOME Online Accounts does not support this 2 factor authentication at the moment.
Comment 5 Andrew Dunn 2012-03-28 13:30:48 EDT
I had it working in F16 with two factor. Do you know where I would look to check the status of this? I would like to use two factor authentication quite badly, however I want to see how Gnome Online accounts works.
Comment 6 Patrick Talbert 2012-03-30 15:03:20 EDT
It is working for me since updating to gnome 3.4!

Just as a note, I am also using two factor authentication, and it worked fine in f16.
Comment 7 Jeremy Eder 2012-09-07 09:24:31 EDT
Really ?  Seems 2factor still not working on fully updated F17 gnome 3.4.x...
Comment 8 Debarshi Ray 2012-09-07 10:55:54 EDT
So, I dug around a bit more on this, and I don't see what we can do about it. My understanding is that the 2-factor authentication part is something that is handled completely on the server side and there isn't anything that we need to do on the client.

The fact that it works for some people and not for others, also points in this direction because I don't see what we do differently for these two sets of people. eg., some people claim it worked for them in F16 but not in F17, and some claim it the other way round (see #6).

Maybe I am misreading the documentation provided by Google, so if you think I am wrong, please let me know.
Comment 9 Daniel Stone 2013-01-21 22:24:02 EST
(In reply to comment #8)
> So, I dug around a bit more on this, and I don't see what we can do about
> it. My understanding is that the 2-factor authentication part is something
> that is handled completely on the server side and there isn't anything that
> we need to do on the client.
> 
> The fact that it works for some people and not for others, also points in
> this direction because I don't see what we do differently for these two sets
> of people. eg., some people claim it worked for them in F16 but not in F17,
> and some claim it the other way round (see #6).
> 
> Maybe I am misreading the documentation provided by Google, so if you think
> I am wrong, please let me know.

This just bit me too.  The main problem was that once I'd completed the two-factor challenge, I got a modal challenge for the single-use application password, which can only be generated online.  So I guess if you come prepared (i.e. copy it into your clipboard beforehand) then you're OK, but it would be nice to have an escape hatch.
Comment 10 Patrick Talbert 2013-02-18 11:11:24 EST
Just chiming back in to say that I just joined my google account using F18 with gnome-shell-3.6.2 (gnome-online-accounts-3.6.2) and it asked for my account's 2 factor code and signed my right in without error/issue.
Comment 11 Jeremy Eder 2013-02-18 11:26:16 EST
(In reply to comment #7)
> Really ?  Seems 2factor still not working on fully updated F17 gnome 3.4.x...

Works in my F18 as well.  Cool!  Thanks!
Comment 12 Fedora End Of Life 2013-07-03 18:07:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 19:46:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.